YaCy-Bugtracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000080YaCy[All Projects] Generalpublic2011-11-30 21:072013-07-27 14:47
Reporterjakubc 
Assigned ToOrbiter 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusresolvedResolutionfixed 
ETAnone 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000080: Yacy process hangs
DescriptionYacy search engine stops after entering few search phases.
No web access is possible. cpu at 100%

Additional Informationrequest: GET http://localpeer/yacysearch.html?query=ragdoll+kot&Enter=Search&contentdom=text&former=ragdoll&maximumRecords=10&startRecord=0&verify=iffresh&resource=global&nav=hosts%2Cauthors%2Cnamespace%2Ctopics%2Cfiletype%2Cprotocol&urlmaskfilter=.*&prefermaskfilter=&depth=0&cat=href&constraint=&meanCount=5 [^]

500 Internal Server Error

Unexpected error while processing query.
Session: Session_192.168.10.101:2227#0_GET /yacysearch.html?query=ragdoll+kot&Enter=Search&contentdom=text&former=ragdoll&maximumRecords=10&startRecord=0&verify=iffresh&resource=global&nav=hosts%2Cauthors%2Cnamespace%2Ctopics%2Cfiletype%2Cprotocol&urlmaskfilter=.*&prefermaskfilter=&depth=0&cat=href&constraint=&meanCount=5 HTTP/1.1
Query: /yacysearch.html
Client: 192.168.10.101
Reason: null

Exception occurred: java.lang.reflect.InvocationTargetException

TRACE:
      java.lang.reflect.InvocationTargetException
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.lang.reflect.Method.invoke(Method.java:616)
    at de.anomic.http.server.HTTPDFileHandler.invokeServlet(HTTPDFileHandler.java:1267)
    at de.anomic.http.server.HTTPDFileHandler.doResponse(HTTPDFileHandler.java:839)
    at de.anomic.http.server.HTTPDFileHandler.doGet(HTTPDFileHandler.java:239)
    at de.anomic.http.server.HTTPDemon.GET(HTTPDemon.java:397)
    at sun.reflect.GeneratedMethodAccessor13.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.lang.reflect.Method.invoke(Method.java:616)
    at de.anomic.server.serverCore$Session.listen(serverCore.java:757)
    at de.anomic.server.serverCore$Session.run(serverCore.java:651)
Caused by: java.lang.NullPointerException
    at net.yacy.search.query.SearchEvent.(SearchEvent.java:118)
    at net.yacy.search.query.SearchEventCache.getDummyEvent(SearchEventCache.java:120)
    at net.yacy.search.query.SearchEventCache.getEvent(SearchEventCache.java:177)
    at yacysearch.respond(yacysearch.java:649)
    ... 13 more
Generated Wed, 30 Nov 2011 19:54:52 +0000 by yacy-pinsail-com.yacy
TagsNo tags attached.
Attached Fileslog file icon yacy00.log [^] (618,736 bytes) 2011-11-30 21:07

- Relationships
child of 0000273new More NPEs 

-  Notes
(0000197)
valdis (reporter)
2011-12-18 12:19

What is your crawling queue size? I suspect one of instability reason is too big (e.g. hundreds of thousands) crawling queue size (see http://bugs.yacy.net/view.php?id=107 [^] ).
(0000372)
Orbiter (manager)
2012-05-17 04:47

I cannot reproduce this exception at SearchEvent.java because that class has changed in between. I guess that problem is fixed. If it appears again please re-open the issue with a fresh thread dump.

- Issue History
Date Modified Username Field Change
2011-11-30 21:07 jakubc New Issue
2011-11-30 21:07 jakubc File Added: yacy00.log
2011-12-18 12:19 valdis Note Added: 0000197
2012-05-17 04:47 Orbiter Note Added: 0000372
2012-05-17 04:47 Orbiter Status new => resolved
2012-05-17 04:47 Orbiter Resolution open => fixed
2012-05-17 04:47 Orbiter Assigned To => Orbiter
2013-07-27 14:47 Quix0r Relationship added child of 0000273


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker